Documentation Index
Fetch the complete documentation index at: https://help.nextmatter.com/llms.txt
Use this file to discover all available pages before exploring further.
Before you begin
Prepare to connect to Microsoft
Prepare to connect to Microsoft
As part of the integration, you need to allowlist the Next Matter domain and create a service account. See if you’ve completed all the required steps.
- Get your OneDrive drive ID. You’ll need it in the step configuration. To get the ID:
- Sign in to https://developer.microsoft.com/graph/graph-explorer.
-
Select GET as the method, and provide the following URL:
GET https://graph.microsoft.com/v1.0/users/{user-id}/drivesAlternative endpoints
For information on how to find site ID, see Create a list in Sharepoint. - View the JSON response for the value of the id parameter.
- It might also happen that a placeholder can be replaced by a data reference of the data provided in one of the previous steps. That’s why it’s a good idea to learn more about Data references.
Upload a file to OneDrive
- In your Next Matter workflow, click +Add step and select Integration > Custom integration.
- Click Settings to configure the step.
- Select Microsoft OneDrive in Authorization.
- Enter the following details:
- Method: PUT
-
URL:
https://graph.microsoft.com/v1.0/drives/DRIVE_ID/items/PARENT_ID:/FILE_NAME:/contentThePARENT_IDis the name of the parent (folder) directory that the file will be inserted to. - Body type: Binary
- In the Body enter the data reference to the file you want to upload.
- Save your changes.
Create a new folder in OneDrive
- In your Next Matter, click +Add step and select Integration > Custom integration.
- Click Settings to configure the step.
- Select Microsoft OneDrive in Authorization.
-
Enter the following details:
- Method: PUT
- URL:
https://graph.microsoft.com/v1.0/drives/DRIVE_ID/items/PARENT_FOLDER_ID/childrenYou can find the info on how to find the DRIVE_ID in the Before you begin section. The PARENT_FOLDER_ID is the name of the parent folder. It might also beroot. - Headers: Content-Type: application/json
- In the Body enter the name of the folder to create. For example:
-
Add a folder ID variable with the value of
$.id. - Save your changes.
Copy a file from one folder to the next
- In your Next Matter workflow, click +Add step and select Integration > Custom integration.
- Click Settings to configure the step.
- Select Microsoft OneDrive in Authorization.
-
Enter the following details:
- Method: POST
- URL:
https://graph.microsoft.com/v1.0/me/drive/items/SOURCE_FOLDER_NAME/FILE_NAME:/copy - Headers: Content-Type: application/json
- In the Body enter the name of the folder to create. For example:
- Save your changes.

